System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.Collection<System.ServiceModel.Description.OperationDescription> System.ServiceModel.Description.OperationDescription

A is used to describe the contract for a service, including the associated operations. The operations are accessed from the property which returns the for the contract.

Each contract operation has a corresponding that describes aspects of the operation, such as whether the operation is one-way or request/reply. Each in turn describes the messages that make up the operation using a collection of .

Represents a collection that contains operation descriptions.

- Method
  4.0.0.0
  System.ServiceModel.Description.OperationDescription ``

  This method returns the first occurrence of the in the collection with the name specified. If you need to find all of the objects in the collection use the method instead.

  Returns an operation description with a specified name from the collection of operation descriptions.

  An with the name specified.

  The name of the operation.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.OperationDescription> `` To be added.

  Returns a collection of all the operation descriptions from the collection that have the specified name.

  The of type that contains the operation descriptions with the specified name.

  The name of the operation.
- Method
  4.0.0.0
  System.Void `` ``

  This method is provided for the indigo1 system to do input validation and is not expected to be called by users.

  Inserts an element into the operation description collection at the specified index.

  The zero-based index at which should be inserted. The to insert.
- Method
  4.0.0.0
  System.Void `` ``

  This method is provided for the indigo1 system to do input validation and is not expected to be called by users.

  Replaces the operation description element in the collection at the specified index.

  The zero-based index at which should be inserted. The to set.